## Summary
<!--Explain briefly what goes wrong and explain why you believe this is a bug and not the intended behavior of SQLite (if it is not a crash).-->**No review yet**

## Minimized query

```sql
PRAGMA read_uncommitted = NO;
PRAGMA threads;
PRAGMA page_size;
.vfsname
CREATE TABLE t1(a, b TEXT);
CREATE UNIQUE INDEX IF NOT EXISTS x1 ON t1(b==0);
CREATE INDEX IF NOT EXISTS x2 ON t1(a || 0) WHERE b;
INSERT INTO t1(a,b) VALUES('a',1),('a',0);
SELECT a, b, '|' FROM t1;

ALTER TABLE t1 ADD COLUMN extra_3799 VARCHAR(255);
```

## Actual output

```sql
0
4096
a|1||
a|0||
```

## Expectation

```sql
Page cache size increased to 1296 to accommodate the 272-byte headers
0
4096
a|1||
a|0||
```

## Flag

```
-pagecache 1024 5
```

